cURL
curl --request PATCH \ --url https://api.venlyfinance.com/v1/accounts/{accountId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "version": 123, "externalId": "<string>" } '
{ "success": true, "result": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>", "status": "ACTIVE", "partyRoles": [ { "partyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "roleType": "ACCOUNT_HOLDER", "status": "ACTIVE", "party": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>", "partyType": "INDIVIDUAL", "status": "ACTIVE", "firstName": "<string>", "lastName": "<string>", "kycStatus": "PENDING", "name": "<string>", "vatNumber": "<string>", "kybStatus": "PENDING", "address": { "addressLine1": "<string>", "city": "<string>", "postalCode": "<string>", "country": "<string>", "addressLine2": "<string>", "state": "<string>" } } } ] } }
Documentation IndexFetch the complete documentation index at: https://docs.venlyfinance.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.venlyfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
OAuth2 client credentials flow. Token endpoints:
Update account details. Party details should be updated via the Party endpoints.
Current version of the account for optimistic locking
255
Account updated
Indicates whether the request was successful
Show child attributes
Was this page helpful?